Ubuntu

[i965] Resume from suspend leaves me with black screen or a screen of the desktop before it suspended. Compiz hung in intel_update_renderbuffers() from intel_prepare_render() from brw_draw_prims()

Reported by Anmar Oueja on 2012-03-28
This bug affects 461 people
Affects Status Importance Assigned to Milestone
Compiz
Critical
Unassigned
Linux
Fix Released
High
xf86-video-intel
Fix Released
High
xserver-xorg-video-intel (Ubuntu)
Critical
Timo Aaltonen
Precise
Critical
Timo Aaltonen
Quantal
Critical
Timo Aaltonen

Bug Description

  ****************ATTENTION*****************
  THIS BUG HAS BEEN MARKED AS FIXED AND THE ISSUE HAS BEEN RESOLVED.
  ANYONE EXPERIENCING THESE SYMPTOMS ON A COMPLETELY UP-TO-DATE SYSTEM SHOULD LOG A NEW BUG:

  'ubuntu-bug xserver-xorg-video-intel'

  PLEASE REFRAIN FROM UNNECESSARY COMMENTS. THANKS!
  ****************ATTENTION*****************

[Impact]:

severe, compiz hangs frequently after resuming from suspend or the screensaver

[Testcase]:

- grab xserver-xorg-video-intel from quantal
- build it from the extracted directory
- after the build run 'cd test && make dri2-swap'
- log in X
- start two terminals
- get dpms.sh from this bug, run it in the other terminal
- on the other run ./dri2-swap

compiz should hang during the first couple of runs of dri2-swap

with the fixed package, it doesn't

[Regression potential]

To ease the backporting, I did replace patch 101 with the commit that was pulled upstream. This patch is needed for smooth transition from plymouth to X. There _could_ be some issues with it (meaning additional patches needed from upstream), but it seems to be working just fine for me.

The precise upload has another upstream fix for an issue referenced in bug 992391, it should be safe.

---

This bug is about problems after resume, with Intel video hardware and i965_dri.so. If you're having these symptoms with other hardware, Nvidia or ATI/Radeon, this isn't the place for reports or questions.

[Those comments are building up, so brief links to direct other people to appropriate bugs might be good here, if anyone has them. Thanks.]

----------------------------------------------------------------------------------------

This happens intermittently. Sometimes upon resume, all I see is a black screen and the cursor. the mouse and keyboard respond (the mouse moves) but nothing changes. Switching to console and back doesn't fix it. Killing Compiz also does not fix the issue. Further, if one has password lock disabled on resume the user will be stuck with a frozen display of whatever was last shown on the screen before suspend. The mouse cursor still changes as you hover over various elements but the display is frozen solid. One can switch to another TTY via ctrl+alt+F1 but killing the X session is the only way to get back to the desktop.

Attempts to replace compiz have been fruitless. Trying the 3.4 kernel also did not fix the issue.

BTW, I haven nothing connected to the laptop when I resume and before suspend. This is a very annoying issue because the only way to recover is to reboot, which means all the open files will be lost.

[UPDATE]
It was discovered that switching to a tty, killing compiz, then invoking 'metacity --replace' would successfully switch over to metacity. Attempting to invoke 'compiz --replace' afterwards would put the state right back where it was (frozen screen, etc.) and output error messages saying something similar to "invalid configuration, this should never happen, you should probably raise a bug report about it". After killing Compiz again and invoking compiz --replace yet again I can get basic window management back (though unity --replace still does not work as it whines about unclean exit states). So one still needs to start over again to get it all functioning properly.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.8.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-20.33-generic 3.2.12
Uname: Linux 3.2.0-20-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 1.95-0ubuntu1
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Tue Mar 27 21:47:25 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120124)
MachineType: LENOVO 32492HU
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic root=UUID=8afc43b9-4675-46b0-8bf8-49bfd422c2c7 ro quiet splash i915.i915_enable_rc6=1 vt.handoff=7
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/29/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 6QET67WW (1.37 )
dmi.board.name: 32492HU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6QET67WW(1.37):bd06/29/2011:svnLENOVO:pn32492HU:pvrThinkPadX201:rvnLENOVO:rn32492HU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 32492HU
dmi.product.version: ThinkPad X201
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.7.2-0ubuntu4
version.ia32-libs: ia32-libs 20090808ubuntu35
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

X-HWE-Bug: Bug #1004771

Anmar Oueja (anmar) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Alessandro Paolino (mark2dp) wrote :

Same for me, it's like the login prompt is under a a black screen (passing the cursor on the center of the screen it changes like when you are for write a text)

George Swann (g-swann) wrote :

I've been having the same problem with the various versions of unity 5.10. I've noticed that that when you resume the 1st time after a reboot things work as expected. From the 2/3rd resume from suspend there's a strong chance of this bug occuring.

eros2 (eros2) wrote :

Same for me, Fujitsu M2010 notebook.

Alessandro Paolino (mark2dp) wrote :

It occurred another time today (Ubuntu is up to date), I had to reboot my pc

Kevin Hausmann (salema) wrote :

I am seeing this on a XPS 1330 (intel graphics) on each suspend/resume cycle.

I have this every once in a while.  Not sure what to do when it happens other than lose all my work and force reboot.

Thank you for your bug report, is that specific to unity sessions? Could you add your /var/log/Xorg.0.log and Xorg.0.log.old when that happens? What videocard and driver do you use?

Changed in unity (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
Éric Piel (pieleric) wrote :

I think I'm affected by a similar bug. Also bugs #975848 and #986600 are probable duplicates. Bug #914557 could also be a duplicate but it's quite older and the computer affected is using a nvidia graphic driver instead of an intel one.

A few remarks from my side. When this happens, I can still move the cursor (which changes shape depending on what type of widget is under it), and change to a console (Ctrl + Alt + F1).

If I kill compiz ("killall -KILL compiz" twice in the console), and restart it ("compiz -replace -display :0"), I get the screen back. However, I'm probably restarting compiz incorectly, and I miss a window-manager (but at least I can see everything and quit each application).

Anmar Oueja (anmar) wrote :

ii xorg 1:7.6+12ubuntu1 X.Org X Window System
ii xorg-docs-core 1:1.6-1ubuntu2 Core documentation for the X.org X Window System
ii xserver-xorg 1:7.6+12ubuntu1 X.Org X server
ii xserver-xorg-core 2:1.11.4-0ubuntu10 Xorg X server - core server
ii xserver-xorg-input-all 1:7.6+12ubuntu1 X.Org X server -- input driver metapackage
ii xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 X.Org X server -- evdev input driver
ii xserver-xorg-input-mouse 1:1.7.1-1build3 X.Org X server -- mouse input driver
ii xserver-xorg-input-synaptics 1.5.99.902-0ubuntu5 Synaptics TouchPad driver for X.Org server
ii xserver-xorg-input-vmmouse 1:12.8.0-1 X.Org X server -- VMMouse input driver to use with VMWare
ii xserver-xorg-input-wacom 1:0.14.0-0ubuntu2 X.Org X server -- Wacom input driver
ii xserver-xorg-video-all 1:7.6+12ubuntu1 X.Org X server -- output driver metapackage
ii xserver-xorg-video-fbdev 1:0.4.2-4ubuntu2 X.Org X server -- fbdev display driver
ii xserver-xorg-video-intel 2:2.17.0-1ubuntu4 X.Org X server -- Intel i8xx, i9xx display driver

and

ii unity 5.10.0-0ubuntu6 Interface designed for efficiency of space and interaction.

I am using the thinkpad X201.

12.04 final, happened to me today. Didn't get to try to kill/restart compiz as I accidentally rebooted the computer. Attaching my xorg.log and xorg.log.old

As it's likely Compiz rather than unity itself, I'm reassigning for now.

affects: unity (Ubuntu) → compiz (Ubuntu)
Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
Changed in compiz-core:
status: New → Confirmed
importance: Undecided → High
milestone: none → 0.9.8.0
Amos Blanton (lightnin9) wrote :

Same thing, Precise final, xorg log attached.
Thinkpad X220

Note - if I hit ctrl - alt F2 (or 3) to get to a terminal, login and then sudo killall Xorg, I can then get back to the login prompt and login. Not a nice workaround, but a workaround nonetheless.

Lightnin, next time you have this issue, could you see if killing/replacing compiz fixes the issue?

Andy Clayton (q3aiml) wrote :

I have a x220 as well and have run into this. I've tried restarting compiz via unity --replace but it does not fix it. Nothing stuck out to me with --debug while trying to restart it, but unfortunately I didn't keep a copy that I can attach.

dominik (schmidt-dominik) wrote :

I might add that I am experiencing the here reported bug but it did also happen that I saw my wallpaper but the login window didn't show up. Not sure if it is for the same reason. I have reported a duplicate bug here https://bugs.launchpad.net/bugs/986600.

Alright, this seems to be a problem with intel's drivers and not Compiz or Unity.

Changed in compiz (Ubuntu):
status: Confirmed → Triaged
status: Triaged → Invalid
affects: compiz-core → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
milestone: 0.9.8.0 → none

Okay, actually, perhaps I shouldn't have gone and done all that without confirming. Is everyone here on intel drivers?

Also, since this had a milestone assigned to it was this indeed known to be a defect in compiz?

affects: xserver-xorg-video-intel (Ubuntu) → compiz-core
Changed in compiz (Ubuntu):
status: Invalid → Confirmed

I am on Lenovo Thinkpad X201 using intel drivers -
xserver-xorg-video-intel - 2:2.17.0-1ubuntu4

i'm on a thinkpad x200s running intel drivers as well.

Paul Arnold (athodeca) wrote :

Same problem here. Asus Eeepc 1005p and 1015p. Intel drivers. I have password on resume disabled and instead of a black screen, I see the desktop. Mouse cursor responds but no icons or the launcher is active. Restarting X with altgr-print-k unfreezes display and returns to login screen. Display is then functional again.

affects: compiz-core → xserver-xorg-video-intel (Ubuntu)
Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
description: updated
description: updated

How do you check for the drivers? In "Details", I can see that my processor is an "Intel® Atom™ CPU N270 @ 1.60GHz × 2" but when I go in "graphics", the "driver" shows "unknown".
I'm on a Samsung N310 (netbook).

Stéphane, that machine uses intel integrated. It should have told you that in the 'driver' section but I just did a quick search.

betzi (s-betzinger-t) wrote :

Same here, ran into the bug after installing 12.04 on my ThinkPad X200s wiht xserver-xorg-video-intel driver...
Seems to be related to the intel graphicsdriverproblems under windows... (after suspend no change of brightness possible)

Overall it's all intel...

John Larsen (dmessiahpchan) wrote :

Having this problem using Intel driver on a Toshiba Satellite Pro S300L

Lazy (ubuntu-bugs-oittaa) wrote :

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/977135

Seems like I have opened a ticket regarding the same problem.

affects: compiz (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Invalid → Triaged
status: Triaged → Incomplete
Changed in linux:
importance: Unknown → High
status: Unknown → Incomplete

As relayed through the kernel bug report, both 3.2 and 3.4rc upstream are affected. It doesn't appear to be a kernel bug, so unless someone can confirm it to be something other that xorg, I'm incompleting it.

bugbot (bugbot) on 2012-05-03
tags: added: resume
tags: added: black-screen
david.barbion (david-barbion) wrote :

I just updated to latest stable kernel release (3.2.0-24.38) and I still have the problem.
I then started back on oneiric kernel (3.0.0-19.33) and I did not have the problem anymore.

On recent kernel, every time I close/open the laptop lid, X is frozen. I need to reboot or restart lightdm from console.

I'm running precise on an HP 6730b with an "Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)" which is a GM45.

In the Xorg.0.log I can find these errors every time I have the problem:
[ 145.274] (WW) intel(0): flip queue failed: Invalid argument
[ 145.274] (WW) intel(0): Page flip failed: Invalid argument

Alessandro Paolino (mark2dp) wrote :

Intel integrated HD3000 here on samsung rf 511 s02 (disabled nvidia with bumblebee), I tried to reproduce this problem but seems random.
Ubuntu 12.04 final, stable kernel

Ryan McClure (mcc-mcc3d) wrote :

Seeing this and worse on a Lenovo ThinkPad T61 with nVidia Quadro 140M.

Anytime the lid is closed (whether this prompts suspend or not, whether this locks the screen or not), re-opening the lid presents the desktop view as it existed prior to closing the lid (if screen lock is not enabled), with a cursor that moves, but with no click response whatsoever.

Ryan McClure (mcc-mcc3d) wrote :

To add further clarification:

- I experience the effects described in the initial report *any time* the lid is closed, with 100% reproducible results. Suspend, screen lock, etc. have no extra effect. Close the lid, X is completely locked up other than the mouse cursor.
- I only started experiencing these effects after upgrading from 11.10 to 12.04.
- I can switch to terminal mode (Ctrl Alt F1) and interact there.
- Switching back to X (Ctrl Alt F7) returns me to the locked-up screen. Mouse still moves, but no interaction is possible.
- If the setting for automatically locking the desktop when the screen turns off is enabled, I experience the black screen with mouse cursor result. If this setting is not enabled, I see a "frozen" version of whatever was last on screen.

Tomasz Melcer (liori) wrote :

Same effect on Thinkpad X61s (Intel Graphics Media Accelerator X3100). Blank black screen with just mouse pointer visible after closing and opening the lid back (no suspend necessary), happens maybe once in 20 times. Input works—i can move mouse pointer, also cursor changes when over a text field (or I guess it's a text field, it's in the middle of screen, where a password dialog should be).

Ryan McClure (mcc-mcc3d) wrote :

Managed to fix my issue by switching to the nVidia proprietary driver. I had a look at my Xorg.0.log and noticed that *none* of the drivers seemed to be activating successfully. It looks like Nouveau eventually kicked in, even after showing a failed to load message, but I'm not sure what the implications of that are.

Went to Additional Drivers and saw two proprietary nVidia drivers there, neither of which were activated. Selected the top driver, listed as recommended, and now am no longer locking up when I close/open the screen.

sanmiguel9 (againsttcpa84) wrote :

I am wondering if the new Intel drivers (2.19; in Ubuntu 12.04 are 2.17) would improve the situation?

The PPA from the Ubuntu-X team ( https://launchpad.net/~ubuntu-x-swat/+archive/x-updates ) contains xserver-xorg-video-intel 2:2.19.0-0ubuntu1~xup1

Maybe someone wants to give it a shot... (but please be sure you know how to purge a PPA from the terminal in case sth goes wrong ;-) )

Download full text (4.1 KiB)

Be warned that PPA purge didn't work with multiarch last I checked

-----Original message-----
From: sanmiguel9 <email address hidden>
To: <email address hidden>
Sent: Tue, May 8, 2012 11:16:12 CDT
Subject: [Bug 966744] Re: resume from suspend leaves me with black screen and a cursor

I am wondering if the new Intel drivers (2.19; in Ubuntu 12.04 are 2.17)
would improve the situation?

The PPA from the Ubuntu-X team (
https://launchpad.net/~ubuntu-x-swat/+archive/x-updates ) contains
xserver-xorg-video-intel 2:2.19.0-0ubuntu1~xup1

Maybe someone wants to give it a shot... (but please be sure you know
how to purge a PPA from the terminal in case sth goes wrong ;-) )

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/966744

Title:
  resume from suspend leaves me with black screen and a cursor

Status in The Linux Kernel:
  Incomplete
Status in “linux” package in Ubuntu:
  Incomplete
Status in “xserver-xorg-video-intel” package in Ubuntu:
  Triaged

Bug description:
  This happens intermittently. Sometimes upon resume, all I see is a
  black screen and the cursor. the mouse and keyboard respond (the mouse
  moves) but nothing changes. Switching to console and back doesn't fix
  it. Killing Compiz also does not fix the issue. Further, if one has
  password lock disabled on resume the user will be stuck with a frozen
  display of whatever was last shown on the screen before suspend. The
  mouse cursor still changes as you hover over various elements but the
  display is frozen solid. Killing the X session is the only workaround.

  BTW, I haven nothing connected to the laptop when I resume and before
  suspend. This is a very annoying issue because the only way to
  recover is to reboot, which means all the open files will be lost.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: unity 5.8.0-0ubuntu2
  ProcVersionSignature: Ubuntu 3.2.0-20.33-generic 3.2.12
  Uname: Linux 3.2.0-20-generic x86_64
  .tmp.unity.support.test.0:

  ApportVersion: 1.95-0ubuntu1
  Architecture: amd64
  CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
  CompositorRunning: compiz
  Date: Tue Mar 27 21:47:25 2012
  DistUpgraded: Fresh install
  DistroCodename: precise
  DistroVariant: ubuntu
  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120124)
  MachineType: LENOVO 32492HU
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic root=UUID=8afc43b9-4675-46b0-8bf8-49bfd422c2c7 ro quiet splash i915.i915_enable_rc6=1 vt.handoff=7
  SourcePackage: unity
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/29/2011
  dmi.bios.vendor: LENOVO
  dmi.bios.version: 6QET67WW (1.37 )
  dmi.board.name: 32492HU
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Available
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: dmi:bvnLENOVO:bvr6QET67WW(1.37):bd06/29/2011:svnLENOVO:pn3249...

Read more...

I've exactly the same comments than #30. I've tried with kernel 3.4 :
uname -a
Linux fitis 3.4.0-999-generic #201204260409 SMP Thu Apr 26 08:17:40 UTC 2012 i686 i686 i386 GNU/Linux. The only warning I can see in Xorg log is
[ 18337.968] (WW) intel(0): flip queue failed: Invalid argument
[ 18337.968] (WW) intel(0): Page flip failed: Invalid argument

BTW it seems to me that the restore of backlight state fails. Is it related to that ?
http://us.generation-nt.com/answer/3-4-rc1-regression-intel-resume-suspend-disk-hangs-restoring-backlight-state-help-206990502.html

I've not tried such a patch.

david.barbion (david-barbion) wrote :

As asked in comment #36, I've installed the package xserver-xorg-video-intel_2.19.0-0ubuntu1~xup1_i386.deb and did *not* solve this issue: got a black screen lock still with working mouse after 4 lid close/open.
However, the error message in X log disappeared.

Alessandro Paolino (mark2dp) wrote :

I've noticed that on my pc (uses Intel HD3000) it occurs more often if using dual monitor, so if I close the lid with the VGA cable inserted is more likely to happen than without.

Changed in xserver-xorg-video-intel (Ubuntu):
importance: High → Critical
description: updated
description: updated
summary: - resume from suspend leaves me with black screen and a cursor
+ Resume from suspend leaves me with black screen or a screen of the
+ desktop before it suspended (though the mouse still moves/changes
+ cursor)
Changed in xserver-xorg-video-intel:
importance: Unknown → High
status: Unknown → Confirmed
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Changed in xserver-xorg-video-intel:
status: Confirmed → New
Timo Aaltonen (tjaalton) on 2012-06-19
Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Incomplete
Timo Aaltonen (tjaalton) on 2012-06-29
Changed in compiz (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in compiz (Ubuntu):
importance: High → Critical
Changed in compiz-core:
status: New → Confirmed
description: updated
Marc D. (marc.d) on 2012-07-15
security vulnerability: no → yes
security vulnerability: yes → no
tags: added: package-qa-testing
affects: compiz-core → compiz
Changed in compiz:
importance: Undecided → High
milestone: none → 0.9.8.0
affects: xserver-xorg-video-intel (Ubuntu) → mesa (Ubuntu)
Changed in mesa (Ubuntu):
status: Incomplete → New
Changed in mesa (Ubuntu):
status: New → Confirmed
Timo Aaltonen (tjaalton) on 2012-07-28
Changed in mesa (Ubuntu):
status: Confirmed → Incomplete
Changed in mesa (Ubuntu):
status: Incomplete → Confirmed
Omer Akram (om26er) on 2012-08-12
Changed in compiz:
importance: High → Critical
summary: - Resume from suspend leaves me with black screen or a screen of the
- desktop before it suspended (though the mouse still moves/changes
- cursor)
+ [i965] Resume from suspend leaves me with black screen or a screen of
+ the desktop before it suspended. Compiz hung in
+ intel_update_renderbuffers() from intel_prepare_render() from
+ brw_draw_prims()
Changed in xserver-xorg-video-intel:
status: New → Confirmed
tags: added: blocks-hwcert-enablement
Changed in compiz:
milestone: 0.9.8.0 → 0.9.8.1
Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released
Timo Aaltonen (tjaalton) on 2012-08-23
no longer affects: linux (Ubuntu)
Timo Aaltonen (tjaalton) on 2012-08-24
Changed in mesa (Ubuntu Precise):
assignee: nobody → Timo Aaltonen (tjaalton)
importance: Undecided → Critical
status: New → Triaged
Changed in mesa (Ubuntu):
status: Confirmed → Fix Released
affects: mesa (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: Triaged → Incomplete
Changed in compiz (Ubuntu Precise):
status: New → Confirmed
Changed in xserver-xorg-video-intel:
status: Fix Released → Confirmed
Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: Incomplete → Confirmed
Changed in oem-priority:
importance: Undecided → Medium
Changed in compiz (Ubuntu Precise):
status: Confirmed → Invalid
Changed in compiz (Ubuntu Quantal):
status: Triaged → Invalid
Timo Aaltonen (tjaalton) on 2012-09-07
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
status: Fix Released → Confirmed
Didier Roche (didrocks) on 2012-09-07
tags: added: rls-q-incoming
tags: removed: rls-q-incoming
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
milestone: none → ubuntu-12.10-beta-2
Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
Didier Roche (didrocks) on 2012-09-11
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
bugbot (bugbot) on 2012-09-13
tags: added: compiz
Changed in compiz:
status: Confirmed → Invalid
no longer affects: oem-priority/precise
no longer affects: oem-priority
description: updated
gcc (chris+ubuntu-qwirx) on 2012-09-19
Changed in compiz (Ubuntu Precise):
status: Invalid → Confirmed
Omer Akram (om26er) on 2012-09-19
Changed in compiz (Ubuntu Precise):
status: Confirmed → Invalid
tags: added: kernel-da-key
description: updated
Timo Aaltonen (tjaalton) on 2012-09-21
no longer affects: compiz (Ubuntu)
no longer affects: compiz (Ubuntu Precise)
no longer affects: compiz (Ubuntu Quantal)
253 comments hidden view all 331 comments

Hmm, the X.log indicates 2.17, there were a few related fixes as well, can you please install a 2.20.8 from your distrobution updates?

I have a couple of users on ubuntu 12.10 (2.20.8) that also tried 3.6rc7, and the hang happens every time the screen is closed or screensaver kicks in. I can't seem to be able to reproduce it myself though..

Given the batch submit immediately after the vsync'ed copy, I can't see what else userspace can do to prevent the WAIT_FOR_EVENT hang...

Hmm, there is some similarity here between this and bug 51616 if in both cases the kernel reports the pipe as active, but in reality it is disabled.

tags: removed: kernel-da-key
Ursula Junque (ursinha) on 2012-09-27
tags: added: quantal
Timo Aaltonen (tjaalton) on 2012-09-27
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
status: Confirmed → Incomplete
Changed in compiz:
milestone: 0.9.8.4 → none
Timo Aaltonen (tjaalton) on 2012-09-28
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
milestone: ubuntu-12.10-beta-2 → none
status: Incomplete → In Progress
Timo Aaltonen (tjaalton) on 2012-09-29
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
status: Fix Committed → Fix Released
4 comments hidden view all 331 comments

so far so good with the ppa package for me.

Nekhelesh Ramananthan (nik90) wrote :

Timo: Does 2.20.8-0ubuntu2.1 (precise) also provide the fix to this bug? I am running precise and running into this bug. When can expect an update on precise?

4 comments hidden view all 331 comments
Éric Piel (pieleric) wrote :

I can also report that on Quantal with 2.20.9-0ubuntu1, I haven't been able to reproduce this bug.

That said, even if this week I've extensivily tried to trigger the bug, it's far from a complete proof the bug is gone. On my hardware it sometimes can take several weeks before the bug triggers again.

I tried things on 12.10 Beta 2 and it works every time. I have been
using my TinkPad x201 constantly with no issues whatsoever. I am using
2.20.9 version

Matt Price (matt-price) wrote :

On 12-10-04 08:51 AM, Éric Piel wrote:
> I can also report that on Quantal with 2.20.9-0ubuntu1, I haven't been
> able to reproduce this bug.
>
> That said, even if this week I've extensivily tried to trigger the bug,
> it's far from a complete proof the bug is gone. On my hardware it
> sometimes can take several weeks before the bug triggers again.
>
I've also had a pretty long run without the bug now. I really hope it's
fixed! but like Eric, I can't say for sure.

Timo Aaltonen (tjaalton) wrote :

I've uploaded a new driver to precise-proposed, and tested it with the dri2-swap testcase in the latest -intel driver, and couldn't reproduce the hang (was trivial with the old version).

Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: Confirmed → In Progress
Timo Aaltonen (tjaalton) on 2012-10-05
description: updated
Timo Aaltonen (tjaalton) on 2012-10-06
description: updated
Timo Aaltonen (tjaalton) on 2012-10-06
description: updated
1 comments hidden view all 331 comments

Hello Anmar, or anyone else affected,

Accepted xserver-xorg-video-intel into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.17.0-1ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Terence (helloterence) wrote :

Pretty new to Linux. Can someone provide me steps as to how to build this fix?

eros2 (eros2) wrote :

Terence, enable "proposed" repository in Update manager (see there https://wiki.ubuntu.com/Testing/EnableProposed ) and update xserver-xorg-video-intel package.

Nekhelesh Ramananthan (nik90) wrote :

Seems to works for me.

tags: added: verification-done
removed: verification-needed

I have updated xserver-xorg-video-intel package in the precise-proposed. Let me know if I have to do anything to test the fix. I will use my notebook as usual.

Actually, someone built a package including some other recent fixes and it looks like the problem has been resolved for a number of people. You can check out the LP report for specifics (sorry, in a bit of a rush).

Regardless, I've installed the package from his PPA and have been using normal lid-closing suspend (had been switching to TTY1, logging in as root, then using pm-suspend for the past few months).

I haven't had a single issue since. So unless there's any claiming otherwise, this bug is likely fixed.

Closing as the UXA DPMS off vs pageflip race.

Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released
Archish (archish) wrote :

Issue is resolved for me after enabling the new intel update from the proposed repository in 12.04. Thanks

bmomjian (bruce-momjian) wrote :

You can see the Ubuntu pending update queue here, particularly for Precise (12.04): http://people.canonical.com/~ubuntu-archive/pending-sru.html. It shows the pending update fix as four days old.

Just following up: This bug has been obliterated since installing those packages. Push that update! :)

Scott Kitterman (kitterman) wrote :

There's a second bug this upload fixes that also has to be verified. Bug #992391

bmomjian (bruce-momjian) wrote :

I found an easy way to get this update. This might be obvioius to experienced Ubuntu users, but it wasn't obvious to me.

In System Tools/Administration/Update Manager, under Settings/Updates, check Pre-release Updates. Then close the window and click Check. You will see a lot of proposed updates. Go to the top and uncheck the heading Propsed Updates, then scroll to the bottom and just check the Intel driver update. Choose Install Updates, then go back to Settings/Update and uncheck Pre-release Updates, close the window, and reboot. This will get you just the Intel driver update.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.17.0-1ubuntu4.2

---------------
xserver-xorg-video-intel (2:2.17.0-1ubuntu4.2) precise-proposed; urgency=low

  * Add 106-uxa-only-consider-attached-outputs-valid.patch, two upstream
    commits merged together that fix GPU hangs on resume, due to outputs
    getting marked valid before the kernel reports them attached.
    (LP: #992391)
  * Replace 101_copy-fb.patch with the patch that went upstream, backported
    to build against the older xserver. Needed for other backports.
    - refreshed patch 104 to apply.
  * Add 107-uxa-fix-pageflip-race.patch, fixes a race with pageflip and
    dpms, resulting in for instance compiz hanging. (LP: #966744)
    - consists of five upstream commits merged as one and backported to
      build against the xserver in precise
 -- Timo Aaltonen <email address hidden> Fri, 05 Oct 2012 22:40:38 +0300

Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux:
status: Incomplete → Fix Released
Koopee (koopee1234) wrote :

I thought this bug was fixed, but today got the blank screen with mouse moving again.
ASUS UX32VD & Ubuntu 12.04.1
Linux 3.2.0-32-generic #51-Ubuntu SMP Wed Sep 26 21:33:09 UTC 2012

Please ask if you need any more details.

@Koopee, please do file a new report as this one has been fixed.

Michael (michaeljt) wrote :

@Chauncellor: I am also still getting a black screen on resume from time to time (Dell Latitude E6410 with Intel Arrandale). X.Org is unresponsive, but I can change to a virtual text terminal and blindly enter commands. Can you suggest an "apport-cli" command or other I should enter to get good data for a submission, presumably for a new bug report?

@Michael, I would report this bug against intel's driver:

ubuntu-bug xserver-xorg-video-intel

Mention this bug and the fact that this did not fix it for you. Take a look at the freedesktop.org bugzilla report linked at the top of this page - it will provide steps on how to get the proper logs to make sure that this is indeed intel's fault. Attach the same logs in the same manner that I did in the bugzilla report so that Mr. Wilson will be able to get a better look at the problem.

Best of luck.

Maakuth (markus-vuorio) wrote :

I did get the black screen after resume today, but this was the first time after the xserver-xorg-video-intel update. It used to do this way more often.

roman shaikh (romaan7) wrote :

I am using ASUS K55VM laptop..its annoying man since i need to lock my screen very often ..
using tty to restart lightDM for time being..

1 comments hidden view all 331 comments

I seem to encounter this bug as I just commented accidentally in https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/995013 . Above I read that it is fixed in package xserver-xorg-video-intel - 2:2.20.9-0ubuntu1. According to my system I have xserver-xorg-video-intel - 2:2.20.9-0ubuntu2 (quantal ppa's). Is it fixed there?

Anyone experiencing these symptoms on a completely up-to-date system should log a new bug:

'ubuntu-bug xserver-xorg-video-intel'

If anyone opens the bug, please comment here with a link to it so any people still experiencing issues can hop over and 'me, too' it.

My system is up to date but I can report now that it is fixed for me with graphics drivers from xorg-edgers ppa (inluding kernel 3.7.0-4-generic 32 bit). But not in the present packages quoted above.

joshyg6 (josheg) wrote :

Still experiencing issue..

joshyg6 (josheg) wrote :

PS I try to run the above 'ubuntu-bug' command, and I keep getting an error that the package isn't an official Ubuntu package.. What??

joshyg6 (josheg) wrote :

Fix of xserver-xorg-video-intel updates doesn't work in Quantal

Please stop commenting on this bug report. Hundreds of people are subscribed and will be spammed with emails. If any support is needed please do go on askubuntu.com or the official forums/IRC channels. If you are experiencing this bug with all the updates, please follow my previous post (post # 325)

@joshyg6, you may be using unofficial packages (PPA?).

description: updated
Download full text (13.2 KiB)

Tried the ppa to see if it fixed problem per recommendation of your
previous comments and the referenced similar bug.. Did not fix it.. And
upgrading to the 3.7 kernel also breaks all the wireless modules.. which
aren't seemingly updated yet..

On Wed, Jan 2, 2013 at 6:00 PM, Chauncellor <email address hidden>wrote:

> Please stop commenting on this bug report. Hundreds of people are
> subscribed and will be spammed with emails. If any support is needed
> please do go on askubuntu.com or the official forums/IRC channels. If
> you are experiencing this bug with all the updates, please follow my
> previous post (post # 325)
>
> @joshyg6, you may be using unofficial packages (PPA?).
>
> ** Description changed:
>
> + ****************ATTENTION*****************
> + THIS BUG HAS BEEN MARKED AS FIXED AND THE ISSUE HAS BEEN RESOLVED.
> + ANYONE EXPERIENCING THESE SYMPTOMS ON A COMPLETELY UP-TO-DATE SYSTEM
> SHOULD LOG A NEW BUG:
> +
> + 'ubuntu-bug xserver-xorg-video-intel'
> +
> + PLEASE REFRAIN FROM UNNECESSARY COMMENTS. THANKS!
> + ****************ATTENTION*****************
> +
> [Impact]:
>
> severe, compiz hangs frequently after resuming from suspend or the
> screensaver
>
> [Testcase]:
>
> - grab xserver-xorg-video-intel from quantal
> - build it from the extracted directory
> - after the build run 'cd test && make dri2-swap'
> - log in X
> - start two terminals
> - get dpms.sh from this bug, run it in the other terminal
> - on the other run ./dri2-swap
>
> compiz should hang during the first couple of runs of dri2-swap
>
> with the fixed package, it doesn't
>
> [Regression potential]
>
> To ease the backporting, I did replace patch 101 with the commit that
> was pulled upstream. This patch is needed for smooth transition from
> plymouth to X. There _could_ be some issues with it (meaning additional
> patches needed from upstream), but it seems to be working just fine for
> me.
>
> The precise upload has another upstream fix for an issue referenced in
> bug 992391, it should be safe.
>
> ---
>
> This bug is about problems after resume, with Intel video hardware and
> i965_dri.so. If you're having these symptoms with other hardware,
> Nvidia or ATI/Radeon, this isn't the place for reports or questions.
>
> [Those comments are building up, so brief links to direct other people
> to appropriate bugs might be good here, if anyone has them. Thanks.]
>
>
> ----------------------------------------------------------------------------------------
>
> This happens intermittently. Sometimes upon resume, all I see is a black
> screen and the cursor. the mouse and keyboard respond (the mouse moves)
> but nothing changes. Switching to console and back doesn't fix it.
> Killing Compiz also does not fix the issue. Further, if one has password
> lock disabled on resume the user will be stuck with a frozen display of
> whatever was last shown on the screen before suspend. The mouse cursor
> still changes as you hover over various elements but the display is
> frozen solid. One can switch to another TTY via ctrl+alt+F1 but killing
> the X session is the only way to get back...

Displaying first 40 and last 40 comments. View all 331 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.